local addonName = ...
local Addon = LibStub("AceAddon-3.0"):NewAddon(addonName, "AceEvent-3.0")
_G[addonName] = Addon

-- GLOBALS: InCombatLockdown
-- GLOBALS: PlaySoundFile
-- GLOBALS: AnimTimerFrame
-- GLOBALS: GetCVar
-- GLOBALS: SetCVar
local _G = _G

Addon.feastIDs = {
	[57301] = 1, -- Great Feast (WotLK)
	[57426] = 1, -- Fish Feast (WotLK)
	[66476] = 1, -- Bountiful Feast (Pilgrim's Bounty)
	[87643] = 1, -- Broiled Dragon Feast (Cata)
	[87644] = 1, -- Seafood Magnifique Feast (Cata)
	[87915] = 1, -- Goblin Barbecue (Cata)
	[104958] = 1, -- Pandaren Banquet (MoP)
	[105193] = 1, -- Great Pandaren Banquet (MoP)
	[126492] = 1, -- Banquet of the Grill (MoP)
	[126494] = 1, -- Great Banquet of the Grill (MoP)
	[126495] = 1, -- Banquet of the Wok (MoP)
	[126496] = 1, -- Great Banquet of the Wok (MoP)
	[126497] = 1, -- Banquet of the Pot (MoP)
	[126498] = 1, -- Great Banquet of the Pot (MoP)
	[126499] = 1, -- Banquet of the Steamer (MoP)
	[126500] = 1, -- Great Banquet of the Steamer (MoP)
	[126501] = 1, -- Banquet of the Oven (MoP)
	[126502] = 1, -- Great Banquet of the Oven (MoP)
	[126503] = 1, -- Banquet of the Brew (MoP)
	[126504] = 1, -- Great Banquet of the Brew (MoP)
	-- Additions from Kyrgune --
	
	[216333] = 1, -- Potato Stew Feast (BattleGround (Legion))
	[216347] = 1, -- Feast of Ribs (Battleground (Legion)) 
	[58465] = 1, -- Gigantic Feast (WotLK)
	[58474] = 1, -- Small Feast (WotLK)
	[185709] = 1, -- Sugar-Crusted Fish Feast (Darkmoon Faire)
	[185706] = 1, -- Fancy Darkmoon Feast (Darkmoon Faire)
	[160740] = 1, -- Feast of Blood (WoD)
	[160914] = 1, -- Feast of the Waters (WoD)
	[251254] = 1, -- Feast of the Fishes (Legion)
	[201352] = 1, -- Lavish Suramar Feast (Legion)
	[201351] = 1, -- Hearty Feast (Legion)
	[259409] = 1, -- Gallery Banquet (BFA)
	[259410] = 1, -- Bountiful Captain's Feast (BFA)
	[286050] = 1, -- Sanguinated Feast (BFA)
	[297048] = 1, -- Famine Evaluator And Snack Table (BFA)
	[308458] = 1, -- Surprisingly Palatable Feast (SL)
	[308462] = 1, -- Feast of Gluttonous Hedonism (SL)
	[359333] = 1, -- Empty Kettle of Stone Soup (SL)
	[382427] = 1, -- Grand Banquet of the Kalu'ak (DF)
	[381459] = 1, -- Yusa's Hearty Stew (DF)
	[383063] = 1, -- Hoard of Draconic Delicacies (DF)
	}	
local feastIDs = Addon.feastIDs

function Addon:COMBAT_LOG_EVENT_UNFILTERED(event, timestamp, eventtype, ...)
local _, eventtype, _, _, _, _, _, _, _, _, _, spellid = CombatLogGetCurrentEventInfo()
	if eventtype == "SPELL_CAST_START" then
		if feastIDs[spellid] then
			PlaySoundFile ("Interface\\Addons\\FeastDrop\\FeastDrop.ogg","Master")
		end
	end
end

function Addon:PLAYER_REGEN_DISABLED()
	self:UnregisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
end

function Addon:PLAYER_REGEN_ENABLED()
	self:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
end

function Addon:OnInitialize()
	self.OnInitialize = nil
end

function Addon:OnEnable()
	if not InCombatLockdown() then
		self:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	end
	self:RegisterEvent("PLAYER_REGEN_DISABLED")
	self:RegisterEvent("PLAYER_REGEN_ENABLED")
end

function Addon:OnDisable()
end
